diff --git a/src/test/subscription/t/007_ddl.pl b/src/test/subscription/t/007_ddl.pl
index 2697ee5..1110522 100644
--- a/src/test/subscription/t/007_ddl.pl
+++ b/src/test/subscription/t/007_ddl.pl
@@ -35,7 +35,8 @@ ALTER SUBSCRIPTION mysub DISABLE;
 ALTER SUBSCRIPTION mysub SET (slot_name = NONE);
 DROP SUBSCRIPTION mysub;
 COMMIT;
-});
+}
+);
 
 pass "subscription disable and drop in same transaction did not hang";
 
diff --git a/src/tools/git_changelog b/src/tools/git_changelog
index 352dc1c..9f95cc5 100755
--- a/src/tools/git_changelog
+++ b/src/tools/git_changelog
@@ -83,7 +83,8 @@ Getopt::Long::GetOptions(
 	'non-master-only' => \$non_master_only,
 	'post-date'       => \$post_date,
 	'oldest-first'    => \$oldest_first,
-	'since=s'         => \$since) || usage();
+	'since=s'         => \$since
+) || usage();
 usage() if @ARGV;
 
 my @git = qw(git log --format=fuller --date=iso);
@@ -152,7 +153,8 @@ for my $branch (@BRANCHES)
 				'branch'   => $branch,
 				'commit'   => $1,
 				'last_tag' => $last_tag,
-				'message'  => '',);
+				'message'  => '',
+			);
 			if ($line =~ /^commit\s+\S+\s+(\S+)/)
 			{
 				$last_parent = $1;
@@ -317,7 +319,8 @@ sub push_commit
 			'message'   => $c->{'message'},
 			'commit'    => $c->{'commit'},
 			'commits'   => [],
-			'timestamp' => $ts };
+			'timestamp' => $ts
+		};
 		push @{ $all_commits{$ht} }, $cc;
 	}
 
@@ -326,7 +329,8 @@ sub push_commit
 		'branch'   => $c->{'branch'},
 		'commit'   => $c->{'commit'},
 		'date'     => $c->{'date'},
-		'last_tag' => $c->{'last_tag'} };
+		'last_tag' => $c->{'last_tag'}
+	};
 	push @{ $cc->{'commits'} }, $smallc;
 	push @{ $all_commits_by_branch{ $c->{'branch'} } }, $cc;
 	$cc->{'branch_position'}{ $c->{'branch'} } =
@@ -380,7 +384,8 @@ sub output_details
 				"%s [%s] %s\n",
 				substr($c->{'date'},   0, 10),
 				substr($c->{'commit'}, 0, 9),
-				substr($1,             0, 56));
+				substr($1,             0, 56)
+			);
 		}
 		else
 		{
diff --git a/src/tools/msvc/Install.pm b/src/tools/msvc/Install.pm
index 884c330..9da57ea 100644
--- a/src/tools/msvc/Install.pm
+++ b/src/tools/msvc/Install.pm
@@ -25,7 +25,8 @@ my @client_program_files = (
 	'libpgtypes',     'libpq',      'pg_basebackup', 'pg_config',
 	'pg_dump',        'pg_dumpall', 'pg_isready',    'pg_receivewal',
 	'pg_recvlogical', 'pg_restore', 'psql',          'reindexdb',
-	'vacuumdb',       @client_contribs);
+	'vacuumdb',       @client_contribs
+);
 
 sub lcopy
 {
@@ -80,7 +81,8 @@ sub Install
 	my @client_dirs = ('bin', 'lib', 'share', 'symbols');
 	my @all_dirs = (
 		@client_dirs, 'doc', 'doc/contrib', 'doc/extension', 'share/contrib',
-		'share/extension', 'share/timezonesets', 'share/tsearch_data');
+		'share/extension', 'share/timezonesets', 'share/tsearch_data'
+	);
 	if ($insttype eq "client")
 	{
 		EnsureDirectories($target, @client_dirs);
@@ -95,7 +97,8 @@ sub Install
 	my @top_dir      = ("src");
 	@top_dir = ("src\\bin", "src\\interfaces") if ($insttype eq "client");
 	File::Find::find(
-		{   wanted => sub {
+		{
+			wanted => sub {
 				/^.*\.sample\z/s
 				  && push(@$sample_files, $File::Find::name);
 
@@ -103,13 +106,15 @@ sub Install
 				$_ eq 'share' and $File::Find::prune = 1;
 			}
 		},
-		@top_dir);
+		@top_dir
+	);
 	CopySetOfFiles('config files', $sample_files, $target . '/share/');
 	CopyFiles(
 		'Import libraries',
 		$target . '/lib/',
 		"$conf\\", "postgres\\postgres.lib", "libpgcommon\\libpgcommon.lib",
-		"libpgport\\libpgport.lib");
+		"libpgport\\libpgport.lib"
+	);
 	CopyContribFiles($config, $target);
 	CopyIncludeFiles($target);
 
@@ -118,36 +123,44 @@ sub Install
 		CopySetOfFiles(
 			'timezone names',
 			[ glob('src\timezone\tznames\*.txt') ],
-			$target . '/share/timezonesets/');
+			$target . '/share/timezonesets/'
+		);
 		CopyFiles(
 			'timezone sets',
 			$target . '/share/timezonesets/',
-			'src/timezone/tznames/', 'Default', 'Australia', 'India');
+			'src/timezone/tznames/', 'Default', 'Australia', 'India'
+		);
 		CopySetOfFiles(
 			'BKI files',
 			[ glob("src\\backend\\catalog\\postgres.*") ],
-			$target . '/share/');
+			$target . '/share/'
+		);
 		CopySetOfFiles(
 			'SQL files',
 			[ glob("src\\backend\\catalog\\*.sql") ],
-			$target . '/share/');
+			$target . '/share/'
+		);
 		CopyFiles(
 			'Information schema data', $target . '/share/',
-			'src/backend/catalog/',    'sql_features.txt');
+			'src/backend/catalog/',    'sql_features.txt'
+		);
 		CopyFiles(
 			'Error code data',    $target . '/share/',
-			'src/backend/utils/', 'errcodes.txt');
+			'src/backend/utils/', 'errcodes.txt'
+		);
 		GenerateConversionScript($target);
 		GenerateTimezoneFiles($target, $conf);
 		GenerateTsearchFiles($target);
 		CopySetOfFiles(
 			'Stopword files',
 			[ glob("src\\backend\\snowball\\stopwords\\*.stop") ],
-			$target . '/share/tsearch_data/');
+			$target . '/share/tsearch_data/'
+		);
 		CopySetOfFiles(
 			'Dictionaries sample files',
 			[ glob("src\\backend\\tsearch\\dicts\\*_sample*") ],
-			$target . '/share/tsearch_data/');
+			$target . '/share/tsearch_data/'
+		);
 
 		my $pl_extension_files = [];
 		my @pldirs             = ('src/pl/plpgsql/src');
@@ -155,7 +168,8 @@ sub Install
 		push @pldirs, "src/pl/plpython" if $config->{python};
 		push @pldirs, "src/pl/tcl"      if $config->{tcl};
 		File::Find::find(
-			{   wanted => sub {
+			{
+				wanted => sub {
 					/^(.*--.*\.sql|.*\.control)\z/s
 					  && push(@$pl_extension_files, $File::Find::name);
 
@@ -163,7 +177,8 @@ sub Install
 					$_ eq 'share' and $File::Find::prune = 1;
 				}
 			},
-			@pldirs);
+			@pldirs
+		);
 		CopySetOfFiles('PL Extension files',
 			$pl_extension_files, $target . '/share/extension/');
 	}
@@ -257,10 +272,14 @@ sub CopySolutionOutput
 		# Check if this project uses a shared library by looking if
 		# SO_MAJOR_VERSION is defined in its Makefile, whose path
 		# can be found using the resource file of this project.
-		if ((      $vcproj eq 'vcxproj'
-				&& $proj =~ qr{ResourceCompile\s*Include="([^"]+)"})
+		if (
+			(
+				   $vcproj eq 'vcxproj'
+				&& $proj =~ qr{ResourceCompile\s*Include="([^"]+)"}
+			)
 			|| (   $vcproj eq 'vcproj'
-				&& $proj =~ qr{File\s*RelativePath="([^\"]+)\.rc"}))
+				&& $proj =~ qr{File\s*RelativePath="([^\"]+)\.rc"})
+		  )
 		{
 			my $projpath = dirname($1);
 			my $mfname =
@@ -462,11 +481,11 @@ sub CopyContribFiles
 		while (my $d = readdir($D))
 		{
 			# These configuration-based exclusions must match vcregress.pl
-			next if ($d eq "uuid-ossp"       && !defined($config->{uuid}));
-			next if ($d eq "sslinfo"         && !defined($config->{openssl}));
-			next if ($d eq "xml2"            && !defined($config->{xml}));
-			next if ($d =~ /_plperl$/        && !defined($config->{perl}));
-			next if ($d =~ /_plpython$/      && !defined($config->{python}));
+			next if ($d eq "uuid-ossp"  && !defined($config->{uuid}));
+			next if ($d eq "sslinfo"    && !defined($config->{openssl}));
+			next if ($d eq "xml2"       && !defined($config->{xml}));
+			next if ($d =~ /_plperl$/   && !defined($config->{perl}));
+			next if ($d =~ /_plpython$/ && !defined($config->{python}));
 			next if ($d eq "sepgsql");
 
 			CopySubdirFiles($subdir, $d, $config, $target);
@@ -574,7 +593,8 @@ sub ParseAndCleanRule
 		for (
 			$i = index($flist, '$(addsuffix ') + 12;
 			$i < length($flist);
-			$i++)
+			$i++
+		  )
 		{
 			$pcount++ if (substr($flist, $i, 1) eq '(');
 			$pcount-- if (substr($flist, $i, 1) eq ')');
@@ -599,23 +619,27 @@ sub CopyIncludeFiles
 		'src/include/',   'postgres_ext.h',
 		'pg_config.h',    'pg_config_ext.h',
 		'pg_config_os.h', 'dynloader.h',
-		'pg_config_manual.h');
+		'pg_config_manual.h'
+	);
 	lcopy('src/include/libpq/libpq-fs.h', $target . '/include/libpq/')
 	  || croak 'Could not copy libpq-fs.h';
 
 	CopyFiles(
 		'Libpq headers',
 		$target . '/include/',
-		'src/interfaces/libpq/', 'libpq-fe.h', 'libpq-events.h');
+		'src/interfaces/libpq/', 'libpq-fe.h', 'libpq-events.h'
+	);
 	CopyFiles(
 		'Libpq internal headers',
 		$target . '/include/internal/',
-		'src/interfaces/libpq/', 'libpq-int.h', 'pqexpbuffer.h');
+		'src/interfaces/libpq/', 'libpq-int.h', 'pqexpbuffer.h'
+	);
 
 	CopyFiles(
 		'Internal headers',
 		$target . '/include/internal/',
-		'src/include/', 'c.h', 'port.h', 'postgres_fe.h');
+		'src/include/', 'c.h', 'port.h', 'postgres_fe.h'
+	);
 	lcopy('src/include/libpq/pqcomm.h', $target . '/include/internal/libpq/')
 	  || croak 'Could not copy pqcomm.h';
 
@@ -623,22 +647,26 @@ sub CopyIncludeFiles
 		'Server headers',
 		$target . '/include/server/',
 		'src/include/', 'pg_config.h', 'pg_config_ext.h', 'pg_config_os.h',
-		'dynloader.h');
+		'dynloader.h'
+	);
 	CopyFiles(
 		'Grammar header',
 		$target . '/include/server/parser/',
-		'src/backend/parser/', 'gram.h');
+		'src/backend/parser/', 'gram.h'
+	);
 	CopySetOfFiles(
 		'',
 		[ glob("src\\include\\*.h") ],
-		$target . '/include/server/');
+		$target . '/include/server/'
+	);
 	my $D;
 	opendir($D, 'src/include') || croak "Could not opendir on src/include!\n";
 
 	CopyFiles(
 		'PL/pgSQL header',
 		$target . '/include/server/',
-		'src/pl/plpgsql/src/', 'plpgsql.h');
+		'src/pl/plpgsql/src/', 'plpgsql.h'
+	);
 
 	# some xcopy progs don't like mixed slash style paths
 	(my $ctarget = $target) =~ s!/!\\!g;
@@ -652,7 +680,8 @@ sub CopyIncludeFiles
 		EnsureDirectories("$target/include/server/$d");
 		my @args = (
 			'xcopy', '/s', '/i', '/q', '/r', '/y', "src\\include\\$d\\*.h",
-			"$ctarget\\include\\server\\$d\\");
+			"$ctarget\\include\\server\\$d\\"
+		);
 		system(@args) && croak("Failed to copy include directory $d\n");
 	}
 	closedir($D);
@@ -665,7 +694,8 @@ sub CopyIncludeFiles
 		'ECPG headers',
 		$target . '/include/',
 		'src/interfaces/ecpg/include/',
-		'ecpg_config.h', split /\s+/, $1);
+		'ecpg_config.h', split /\s+/, $1
+	);
 	$mf =~ /^informix_headers\s*=\s*(.*)$/m
 	  || croak "Could not find informix_headers line\n";
 	EnsureDirectories($target . '/include', 'informix', 'informix/esql');
@@ -673,7 +703,8 @@ sub CopyIncludeFiles
 		'ECPG informix headers',
 		$target . '/include/informix/esql/',
 		'src/interfaces/ecpg/include/',
-		split /\s+/, $1);
+		split /\s+/, $1
+	);
 }
 
 sub GenerateNLSFiles
@@ -686,12 +717,14 @@ sub GenerateNLSFiles
 	EnsureDirectories($target, "share/locale");
 	my @flist;
 	File::Find::find(
-		{   wanted => sub {
+		{
+			wanted => sub {
 				/^nls\.mk\z/s
 				  && !push(@flist, $File::Find::name);
 			}
 		},
-		"src");
+		"src"
+	);
 	foreach (@flist)
 	{
 		my $prgm = DetermineCatalogName($_);
@@ -710,7 +743,8 @@ sub GenerateNLSFiles
 				"$nlspath\\bin\\msgfmt",
 				'-o',
 				"$target\\share\\locale\\$lang\\LC_MESSAGES\\$prgm-$majorver.mo",
-				$_);
+				$_
+			);
 			system(@args) && croak("Could not run msgfmt on $dir\\$_");
 			print ".";
 		}
diff --git a/src/tools/msvc/MSBuildProject.pm b/src/tools/msvc/MSBuildProject.pm
index ca6e8e5..5807c0e 100644
--- a/src/tools/msvc/MSBuildProject.pm
+++ b/src/tools/msvc/MSBuildProject.pm
@@ -65,17 +65,23 @@ EOF
 
 	$self->WriteItemDefinitionGroup(
 		$f, 'Debug',
-		{   defs    => "_DEBUG;DEBUG=1",
+		{
+			defs    => "_DEBUG;DEBUG=1",
 			opt     => 'Disabled',
 			strpool => 'false',
-			runtime => 'MultiThreadedDebugDLL' });
+			runtime => 'MultiThreadedDebugDLL'
+		}
+	);
 	$self->WriteItemDefinitionGroup(
 		$f,
 		'Release',
-		{   defs    => "",
+		{
+			defs    => "",
 			opt     => 'Full',
 			strpool => 'true',
-			runtime => 'MultiThreadedDLL' });
+			runtime => 'MultiThreadedDLL'
+		}
+	);
 }
 
 sub AddDefine
diff --git a/src/tools/msvc/Mkvcbuild.pm b/src/tools/msvc/Mkvcbuild.pm
index b2f5fd6..47b1ec8 100644
--- a/src/tools/msvc/Mkvcbuild.pm
+++ b/src/tools/msvc/Mkvcbuild.pm
@@ -39,7 +39,8 @@ my $contrib_extralibs      = undef;
 my $contrib_extraincludes = { 'dblink' => ['src/backend'] };
 my $contrib_extrasource = {
 	'cube' => [ 'contrib/cube/cubescan.l', 'contrib/cube/cubeparse.y' ],
-	'seg'  => [ 'contrib/seg/segscan.l',   'contrib/seg/segparse.y' ], };
+	'seg'  => [ 'contrib/seg/segscan.l',   'contrib/seg/segparse.y' ],
+};
 my @contrib_excludes = (
 	'commit_ts',       'hstore_plperl',
 	'hstore_plpython', 'intagg',
@@ -47,7 +48,8 @@ my @contrib_excludes = (
 	'ltree_plpython',  'pgcrypto',
 	'sepgsql',         'brin',
 	'test_extensions', 'test_pg_dump',
-	'snapshot_too_old');
+	'snapshot_too_old'
+);
 
 # Set of variables for frontend modules
 my $frontend_defines = { 'initdb' => 'FRONTEND' };
@@ -55,26 +57,32 @@ my @frontend_uselibpq = ('pg_ctl', 'pg_upgrade', 'pgbench', 'psql', 'initdb');
 my @frontend_uselibpgport = (
 	'pg_archivecleanup', 'pg_test_fsync',
 	'pg_test_timing',    'pg_upgrade',
-	'pg_waldump',        'pgbench');
+	'pg_waldump',        'pgbench'
+);
 my @frontend_uselibpgcommon = (
 	'pg_archivecleanup', 'pg_test_fsync',
 	'pg_test_timing',    'pg_upgrade',
-	'pg_waldump',        'pgbench');
+	'pg_waldump',        'pgbench'
+);
 my $frontend_extralibs = {
 	'initdb'     => ['ws2_32.lib'],
 	'pg_restore' => ['ws2_32.lib'],
 	'pgbench'    => ['ws2_32.lib'],
-	'psql'       => ['ws2_32.lib'] };
+	'psql'       => ['ws2_32.lib']
+};
 my $frontend_extraincludes = {
 	'initdb' => ['src/timezone'],
-	'psql'   => ['src/backend'] };
+	'psql'   => ['src/backend']
+};
 my $frontend_extrasource = {
 	'psql' => ['src/bin/psql/psqlscanslash.l'],
 	'pgbench' =>
-	  [ 'src/bin/pgbench/exprscan.l', 'src/bin/pgbench/exprparse.y' ] };
+	  [ 'src/bin/pgbench/exprscan.l', 'src/bin/pgbench/exprparse.y' ]
+};
 my @frontend_excludes = (
 	'pgevent',    'pg_basebackup', 'pg_rewind', 'pg_dump',
-	'pg_waldump', 'scripts');
+	'pg_waldump', 'scripts'
+);
 
 sub mkvcbuild
 {
@@ -127,7 +135,8 @@ sub mkvcbuild
 
 	our @pgcommonfrontendfiles = (
 		@pgcommonallfiles, qw(fe_memutils.c file_utils.c
-		  restricted_token.c));
+		  restricted_token.c)
+	);
 
 	our @pgcommonbkndfiles = @pgcommonallfiles;
 
@@ -153,7 +162,8 @@ sub mkvcbuild
 	$postgres->AddFile('src/backend/utils/fmgrtab.c');
 	$postgres->ReplaceFile(
 		'src/backend/port/dynloader.c',
-		'src/backend/port/dynloader/win32.c');
+		'src/backend/port/dynloader/win32.c'
+	);
 	$postgres->ReplaceFile('src/backend/port/pg_sema.c',
 		'src/backend/port/win32_sema.c');
 	$postgres->ReplaceFile('src/backend/port/pg_shmem.c',
@@ -172,7 +182,8 @@ sub mkvcbuild
 	$postgres->AddFiles(
 		'src/backend/replication', 'repl_scanner.l',
 		'repl_gram.y',             'syncrep_scanner.l',
-		'syncrep_gram.y');
+		'syncrep_gram.y'
+	);
 	$postgres->AddDefine('BUILDING_DLL');
 	$postgres->AddLibrary('secur32.lib');
 	$postgres->AddLibrary('ws2_32.lib');
@@ -195,7 +206,8 @@ sub mkvcbuild
 		'src/backend/snowball/libstemmer',
 		sub {
 			return shift !~ /(dict_snowball.c|win32ver.rc)$/;
-		});
+		}
+	);
 	$snowball->AddIncludeDir('src/include/snowball');
 	$snowball->AddReference($postgres);
 
@@ -265,7 +277,8 @@ sub mkvcbuild
 
 	my $pgtypes = $solution->AddProject(
 		'libpgtypes', 'dll',
-		'interfaces', 'src/interfaces/ecpg/pgtypeslib');
+		'interfaces', 'src/interfaces/ecpg/pgtypeslib'
+	);
 	$pgtypes->AddDefine('FRONTEND');
 	$pgtypes->AddReference($libpgport);
 	$pgtypes->UseDef('src/interfaces/ecpg/pgtypeslib/pgtypeslib.def');
@@ -283,7 +296,8 @@ sub mkvcbuild
 
 	my $libecpgcompat = $solution->AddProject(
 		'libecpg_compat', 'dll',
-		'interfaces',     'src/interfaces/ecpg/compatlib');
+		'interfaces',     'src/interfaces/ecpg/compatlib'
+	);
 	$libecpgcompat->AddDefine('FRONTEND');
 	$libecpgcompat->AddIncludeDir('src/interfaces/ecpg/include');
 	$libecpgcompat->AddIncludeDir('src/interfaces/libpq');
@@ -439,7 +453,8 @@ sub mkvcbuild
 		'pgp-info.c',       'pgp-mpi.c',
 		'pgp-pubdec.c',     'pgp-pubenc.c',
 		'pgp-pubkey.c',     'pgp-s2k.c',
-		'pgp-pgsql.c');
+		'pgp-pgsql.c'
+	);
 	if ($solution->{options}->{openssl})
 	{
 		$pgcrypto->AddFiles('contrib/pgcrypto', 'openssl.c',
@@ -452,7 +467,8 @@ sub mkvcbuild
 			'sha1.c',           'internal.c',
 			'internal-sha2.c',  'blf.c',
 			'rijndael.c',       'pgp-mpi-internal.c',
-			'imath.c');
+			'imath.c'
+		);
 	}
 	$pgcrypto->AddReference($postgres);
 	$pgcrypto->AddLibrary('ws2_32.lib');
@@ -504,18 +520,21 @@ sub mkvcbuild
 		my $hstore_plpython = AddTransformModule(
 			'hstore_plpython' . $pymajorver, 'contrib/hstore_plpython',
 			'plpython' . $pymajorver,        'src/pl/plpython',
-			'hstore',                        'contrib/hstore');
+			'hstore',                        'contrib/hstore'
+		);
 		$hstore_plpython->AddDefine(
 			'PLPYTHON_LIBNAME="plpython' . $pymajorver . '"');
 		my $jsonb_plpython = AddTransformModule(
 			'jsonb_plpython' . $pymajorver, 'contrib/jsonb_plpython',
-			'plpython' . $pymajorver,       'src/pl/plpython');
+			'plpython' . $pymajorver,       'src/pl/plpython'
+		);
 		$jsonb_plpython->AddDefine(
 			'PLPYTHON_LIBNAME="plpython' . $pymajorver . '"');
 		my $ltree_plpython = AddTransformModule(
 			'ltree_plpython' . $pymajorver, 'contrib/ltree_plpython',
 			'plpython' . $pymajorver,       'src/pl/plpython',
-			'ltree',                        'contrib/ltree');
+			'ltree',                        'contrib/ltree'
+		);
 		$ltree_plpython->AddDefine(
 			'PLPYTHON_LIBNAME="plpython' . $pymajorver . '"');
 	}
@@ -626,7 +645,8 @@ sub mkvcbuild
 					(map { "-D$_" } @perl_embed_ccflags, $define || ()),
 					$source_file,
 					'/link',
-					$perl_libs[0]);
+					$perl_libs[0]
+				);
 				my $compile_output = `@cmd 2>&1`;
 				-f $exe || die "Failed to build Perl test:\n$compile_output";
 
@@ -703,12 +723,16 @@ sub mkvcbuild
 				}
 			}
 		}
-		if (Solution::IsNewer(
+		if (
+			Solution::IsNewer(
 				'src/pl/plperl/perlchunks.h',
-				'src/pl/plperl/plc_perlboot.pl')
+				'src/pl/plperl/plc_perlboot.pl'
+			)
 			|| Solution::IsNewer(
 				'src/pl/plperl/perlchunks.h',
-				'src/pl/plperl/plc_trusted.pl'))
+				'src/pl/plperl/plc_trusted.pl'
+			)
+		  )
 		{
 			print 'Building src/pl/plperl/perlchunks.h ...' . "\n";
 			my $basedir = getcwd;
@@ -727,9 +751,12 @@ sub mkvcbuild
 				die 'Failed to create perlchunks.h' . "\n";
 			}
 		}
-		if (Solution::IsNewer(
+		if (
+			Solution::IsNewer(
 				'src/pl/plperl/plperl_opmask.h',
-				'src/pl/plperl/plperl_opmask.pl'))
+				'src/pl/plperl/plperl_opmask.pl'
+			)
+		  )
 		{
 			print 'Building src/pl/plperl/plperl_opmask.h ...' . "\n";
 			my $basedir = getcwd;
@@ -751,10 +778,12 @@ sub mkvcbuild
 		my $hstore_plperl = AddTransformModule(
 			'hstore_plperl', 'contrib/hstore_plperl',
 			'plperl',        'src/pl/plperl',
-			'hstore',        'contrib/hstore');
+			'hstore',        'contrib/hstore'
+		);
 		my $jsonb_plperl = AddTransformModule(
 			'jsonb_plperl', 'contrib/jsonb_plperl',
-			'plperl',       'src/pl/plperl');
+			'plperl',       'src/pl/plperl'
+		);
 
 		foreach my $f (@perl_embed_ccflags)
 		{
@@ -1015,7 +1044,8 @@ sub AdjustContribProj
 		$proj,                    $contrib_defines,
 		\@contrib_uselibpq,       \@contrib_uselibpgport,
 		\@contrib_uselibpgcommon, $contrib_extralibs,
-		$contrib_extrasource,     $contrib_extraincludes);
+		$contrib_extrasource,     $contrib_extraincludes
+	);
 }
 
 sub AdjustFrontendProj
@@ -1025,7 +1055,8 @@ sub AdjustFrontendProj
 		$proj,                     $frontend_defines,
 		\@frontend_uselibpq,       \@frontend_uselibpgport,
 		\@frontend_uselibpgcommon, $frontend_extralibs,
-		$frontend_extrasource,     $frontend_extraincludes);
+		$frontend_extrasource,     $frontend_extraincludes
+	);
 }
 
 sub AdjustModule
diff --git a/src/tools/msvc/Project.pm b/src/tools/msvc/Project.pm
index 3e08ce9..6b7d710 100644
--- a/src/tools/msvc/Project.pm
+++ b/src/tools/msvc/Project.pm
@@ -16,7 +16,8 @@ sub _new
 	my $good_types = {
 		lib => 1,
 		exe => 1,
-		dll => 1, };
+		dll => 1,
+	};
 	confess("Bad project type: $type\n") unless exists $good_types->{$type};
 	my $self = {
 		name                  => $name,
@@ -32,7 +33,8 @@ sub _new
 		solution              => $solution,
 		disablewarnings       => '4018;4244;4273;4102;4090;4267',
 		disablelinkerwarnings => '',
-		platform              => $solution->{platform}, };
+		platform              => $solution->{platform},
+	};
 
 	bless($self, $classname);
 	return $self;
@@ -217,7 +219,8 @@ sub AddDir
 
 				if ($filter eq "LIBOBJS")
 				{
-					if (grep(/$p/, @main::pgportfiles, @main::pgcommonfiles)
+					if (
+						grep(/$p/, @main::pgportfiles, @main::pgcommonfiles)
 						== 1)
 					{
 						$p =~ s/\.c/\.o/;
diff --git a/src/tools/msvc/Solution.pm b/src/tools/msvc/Solution.pm
index 55566bf..61fd7dc 100644
--- a/src/tools/msvc/Solution.pm
+++ b/src/tools/msvc/Solution.pm
@@ -22,7 +22,8 @@ sub _new
 		VisualStudioVersion        => undef,
 		MinimumVisualStudioVersion => undef,
 		vcver                      => undef,
-		platform                   => undef, };
+		platform                   => undef,
+	};
 	bless($self, $classname);
 
 	$self->DeterminePlatform();
@@ -236,32 +237,40 @@ sub GenerateFiles
 		close($i);
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			"src/include/pg_config_ext.h",
-			"src/include/pg_config_ext.h.win32"))
+			"src/include/pg_config_ext.h.win32"
+		)
+	  )
 	{
 		print "Copying pg_config_ext.h...\n";
 		copyFile(
 			"src/include/pg_config_ext.h.win32",
-			"src/include/pg_config_ext.h");
+			"src/include/pg_config_ext.h"
+		);
 	}
 
 	$self->GenerateDefFile(
 		"src/interfaces/libpq/libpqdll.def",
 		"src/interfaces/libpq/exports.txt",
-		"LIBPQ");
+		"LIBPQ"
+	);
 	$self->GenerateDefFile(
 		"src/interfaces/ecpg/ecpglib/ecpglib.def",
 		"src/interfaces/ecpg/ecpglib/exports.txt",
-		"LIBECPG");
+		"LIBECPG"
+	);
 	$self->GenerateDefFile(
 		"src/interfaces/ecpg/compatlib/compatlib.def",
 		"src/interfaces/ecpg/compatlib/exports.txt",
-		"LIBECPG_COMPAT");
+		"LIBECPG_COMPAT"
+	);
 	$self->GenerateDefFile(
 		"src/interfaces/ecpg/pgtypeslib/pgtypeslib.def",
 		"src/interfaces/ecpg/pgtypeslib/exports.txt",
-		"LIBPGTYPES");
+		"LIBPGTYPES"
+	);
 
 	chdir('src/backend/utils');
 	my $pg_language_dat = '../../../src/include/catalog/pg_language.dat';
@@ -281,43 +290,60 @@ sub GenerateFiles
 	}
 	chdir('../../..');
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/include/utils/fmgroids.h',
-			'src/backend/utils/fmgroids.h'))
+			'src/backend/utils/fmgroids.h'
+		)
+	  )
 	{
 		copyFile('src/backend/utils/fmgroids.h',
 			'src/include/utils/fmgroids.h');
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/include/utils/fmgrprotos.h',
-			'src/backend/utils/fmgrprotos.h'))
+			'src/backend/utils/fmgrprotos.h'
+		)
+	  )
 	{
 		copyFile(
 			'src/backend/utils/fmgrprotos.h',
-			'src/include/utils/fmgrprotos.h');
+			'src/include/utils/fmgrprotos.h'
+		);
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/include/storage/lwlocknames.h',
-			'src/backend/storage/lmgr/lwlocknames.txt'))
+			'src/backend/storage/lmgr/lwlocknames.txt'
+		)
+	  )
 	{
 		print "Generating lwlocknames.c and lwlocknames.h...\n";
 		chdir('src/backend/storage/lmgr');
 		system('perl generate-lwlocknames.pl lwlocknames.txt');
 		chdir('../../../..');
 	}
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/include/storage/lwlocknames.h',
-			'src/backend/storage/lmgr/lwlocknames.h'))
+			'src/backend/storage/lmgr/lwlocknames.h'
+		)
+	  )
 	{
 		copyFile(
 			'src/backend/storage/lmgr/lwlocknames.h',
-			'src/include/storage/lwlocknames.h');
+			'src/include/storage/lwlocknames.h'
+		);
 	}
 
-	if (IsNewer(
-			'src/include/dynloader.h', 'src/backend/port/dynloader/win32.h'))
+	if (
+		IsNewer(
+			'src/include/dynloader.h', 'src/backend/port/dynloader/win32.h'
+		)
+	  )
 	{
 		copyFile('src/backend/port/dynloader/win32.h',
 			'src/include/dynloader.h');
@@ -331,10 +357,13 @@ sub GenerateFiles
 		);
 	}
 
-	if ($self->{options}->{python}
+	if (
+		$self->{options}->{python}
 		&& IsNewer(
 			'src/pl/plpython/spiexceptions.h',
-			'src/backend/utils/errcodes.txt'))
+			'src/backend/utils/errcodes.txt'
+		)
+	  )
 	{
 		print "Generating spiexceptions.h...\n";
 		system(
@@ -342,9 +371,12 @@ sub GenerateFiles
 		);
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/include/utils/errcodes.h',
-			'src/backend/utils/errcodes.txt'))
+			'src/backend/utils/errcodes.txt'
+		)
+	  )
 	{
 		print "Generating errcodes.h...\n";
 		system(
@@ -354,9 +386,12 @@ sub GenerateFiles
 			'src/include/utils/errcodes.h');
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/pl/plpgsql/src/plerrcodes.h',
-			'src/backend/utils/errcodes.txt'))
+			'src/backend/utils/errcodes.txt'
+		)
+	  )
 	{
 		print "Generating plerrcodes.h...\n";
 		system(
@@ -364,9 +399,12 @@ sub GenerateFiles
 		);
 	}
 
-	if ($self->{options}->{tcl}
+	if (
+		$self->{options}->{tcl}
 		&& IsNewer(
-			'src/pl/tcl/pltclerrcodes.h', 'src/backend/utils/errcodes.txt'))
+			'src/pl/tcl/pltclerrcodes.h', 'src/backend/utils/errcodes.txt'
+		)
+	  )
 	{
 		print "Generating pltclerrcodes.h...\n";
 		system(
@@ -374,9 +412,12 @@ sub GenerateFiles
 		);
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/backend/utils/sort/qsort_tuple.c',
-			'src/backend/utils/sort/gen_qsort_tuple.pl'))
+			'src/backend/utils/sort/gen_qsort_tuple.pl'
+		)
+	  )
 	{
 		print "Generating qsort_tuple.c...\n";
 		system(
@@ -384,9 +425,12 @@ sub GenerateFiles
 		);
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/interfaces/libpq/libpq.rc',
-			'src/interfaces/libpq/libpq.rc.in'))
+			'src/interfaces/libpq/libpq.rc.in'
+		)
+	  )
 	{
 		print "Generating libpq.rc...\n";
 		my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) =
@@ -413,9 +457,12 @@ sub GenerateFiles
 		chdir('../../..');
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/interfaces/ecpg/preproc/preproc.y',
-			'src/backend/parser/gram.y'))
+			'src/backend/parser/gram.y'
+		)
+	  )
 	{
 		print "Generating preproc.y...\n";
 		chdir('src/interfaces/ecpg/preproc');
@@ -423,9 +470,12 @@ sub GenerateFiles
 		chdir('../../../..');
 	}
 
-	if (IsNewer(
+	if (
+		IsNewer(
 			'src/interfaces/ecpg/include/ecpg_config.h',
-			'src/interfaces/ecpg/include/ecpg_config.h.in'))
+			'src/interfaces/ecpg/include/ecpg_config.h.in'
+		)
+	  )
 	{
 		print "Generating ecpg_config.h...\n";
 		open(my $o, '>', 'src/interfaces/ecpg/include/ecpg_config.h')
@@ -477,9 +527,12 @@ EOF
 	foreach my $bki (@bki_srcs, @bki_data)
 	{
 		next if $bki eq "";
-		if (IsNewer(
+		if (
+			IsNewer(
 				'src/backend/catalog/bki-stamp',
-				"src/include/catalog/$bki"))
+				"src/include/catalog/$bki"
+			)
+		  )
 		{
 			$need_genbki = 1;
 			last;
@@ -510,11 +563,13 @@ EOF
 		{
 			copyFile(
 				"src/backend/catalog/$def_header",
-				"src/include/catalog/$def_header");
+				"src/include/catalog/$def_header"
+			);
 		}
 		copyFile(
 			'src/backend/catalog/schemapg.h',
-			'src/include/catalog/schemapg.h');
+			'src/include/catalog/schemapg.h'
+		);
 	}
 
 	open(my $o, '>', "doc/src/sgml/version.sgml")
diff --git a/src/tools/msvc/VCBuildProject.pm b/src/tools/msvc/VCBuildProject.pm
index d3a03c5..d0b9db5 100644
--- a/src/tools/msvc/VCBuildProject.pm
+++ b/src/tools/msvc/VCBuildProject.pm
@@ -35,19 +35,25 @@ EOF
 
 	$self->WriteConfiguration(
 		$f, 'Debug',
-		{   defs     => "_DEBUG;DEBUG=1",
+		{
+			defs     => "_DEBUG;DEBUG=1",
 			wholeopt => 0,
 			opt      => 0,
 			strpool  => 'false',
-			runtime  => 3 });
+			runtime  => 3
+		}
+	);
 	$self->WriteConfiguration(
 		$f,
 		'Release',
-		{   defs     => "",
+		{
+			defs     => "",
 			wholeopt => 0,
 			opt      => 3,
 			strpool  => 'true',
-			runtime  => 2 });
+			runtime  => 2
+		}
+	);
 	print $f <<EOF;
  </Configurations>
 EOF
@@ -73,7 +79,8 @@ EOF
 		# we're done with.
 		while ($#dirstack >= 0)
 		{
-			if (join('/', @dirstack) eq
+			if (
+				join('/', @dirstack) eq
 				substr($dir, 0, length(join('/', @dirstack))))
 			{
 				last if (length($dir) == length(join('/', @dirstack)));
